1. Payment
Casharc
  • API
    • Merchant
      • Balance
        • Balance
      • Payment
        • README
        • Payment
          POST
        • Payment Detail
          GET
        • Payment Refund
          POST
        • Payment Cancel
          POST
      • Payout
        • Payout
        • Payout Detail
        • Payout Cancel
      • Appeal
        • Appeal
        • Appeal Detail
        • Appeal Cancel
  1. Payment

Payment

POST
/merchant/v1/payments

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/merchant/v1/payments' \
--header 'X-Public-Key;' \
--header 'X-Secret-Key;' \
--header 'Idempotency-Key;' \
--header 'Content-Type: application/json' \
--data '{
    "amount": "string",
    "amount_tolerance_up": "string",
    "currency": "string",
    "expires_in": 0,
    "requisite": {
        "type": "string",
        "bank": "string"
    },
    "customer": {
        "fingerprint": "string",
        "ip_address": "string",
        "user_agent": "string"
    },
    "metadata": {}
}'
Response Response Example
201 - Example 1
{
    "data": {
        "id": "string",
        "type": "string",
        "requested": {
            "amount": "string",
            "currency": "string"
        },
        "initialized": {
            "amount": "string",
            "currency": "string"
        },
        "processed": {
            "amount": "string",
            "currency": "string"
        },
        "refunded": {
            "amount": "string",
            "currency": "string"
        },
        "requisite": {
            "type": "string",
            "card_number": "string",
            "card_holder": "string",
            "bank": "string"
        },
        "status": "string",
        "expires_at": "string",
        "created_at": "string",
        "updated_at": "string",
        "metadata": {}
    }
}
Previous
README
Next
Payment Detail
Built with